GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

          • Get user information
          • Modify user information
          • Bind email
          • Unbind email
          • Bind phone number
          • Unbind phone number
          • Get password strength and account security rating
          • Change password
          • Initiate verification request to change email
          • Change email
          • Initiate verification request to change mobile phone number
          • Change mobile phone number
          • Initiate forgotten password request
          • Forgot password
          • Initiate account cancellation request
          • Cancel account
        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. User information

  10. /
  11. Initiate forgotten password request

¶ Initiate a request for forgetting password

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When the user forgets the password, the password can be retrieved through this endpoint. The user needs to use relevant verification methods for verification. Currently, Email verification code and Mobile phone number verification code are supported.

¶ Method Name

AuthenticationClient.verifyResetPasswordRequest

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
verifyMethodstringYes-Verification method used for forgotten password request:
- EMAIL_PASSCODE: Verification by email verification code
- PHONE_PASSCODE: Verification by mobile phone verification code
EMAIL_PASSCODE
phonePassCodePayloadResetPasswordByPhonePassCodeDtoNo-Data verified by mobile phone verification code
emailPassCodePayloadResetPasswordByEmailPassCodeDtoNo-Data verified by email verification code

¶ Sample Code

package test.authentication;

import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.PasswordResetVerifyResp;
import cn.authing.sdk.java.dto.ResetPasswordByEmailPassCodeDto;
import cn.authing.sdk.java.dto.VerifyResetPasswordRequestDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class VerifyResetPasswordRequestTest {
    // Need to be replaced with your GenAuth App ID
    private static final String APP_ID = "AUTHING_APP_ID";
    // Need to be replaced with your GenAuth App Secret
    private static final String APP_SECRET = "AUTHING_APP_SECRET";
    // Need to be replaced with your GenAuth App Host
    private static final String APP_HOST = "AUTHING_APP_HOST";

    public static void main(String[] args) throws Throwable {
        AuthenticationClientOptions clientOptions = new AuthenticationClientOptions();
        clientOptions.setAppId(APP_ID);
        clientOptions.setAppSecret(APP_SECRET);
        clientOptions.setAppHost(APP_HOST);

        AuthenticationClient client = new AuthenticationClient(clientOptions);

        VerifyResetPasswordRequestDto reqDto = new VerifyResetPasswordRequestDto();
        reqDto.setVerifyMethod(VerifyResetPasswordRequestDto.VerifyMethod.EMAIL_PASSCODE);
        ResetPasswordByEmailPassCodeDto passCodeDto = new ResetPasswordByEmailPassCodeDto();
        // Email verification code, a SMS verification code can only be used once, and the default validity period is 5 minutes. You need to obtain it through the send email interface.
        passCodeDto.setPassCode("xxx");
        passCodeDto.setEmail("123@qq.com");
        reqDto.setEmailPassCodePayload(passCodeDto);
        PasswordResetVerifyResp response = client.verifyResetPasswordRequest(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: PasswordResetVerifyResp

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which you can get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataResetPasswordVerifyResponse Data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {}
}

¶ Data Structure

¶ ResetPasswordByPhonePassCodeDto

NameType
Is it required
Description
Example Value
phoneNumberstringYesThe phone number bound to this account, without the area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
passCodestringYesSMS verification code. An SMS verification code can only be used once and is valid for one minute. You need to obtain it through the Send SMS interface.123456
phoneCountryCodestringNoMobile phone area code. It is optional for mobile phone numbers in mainland China. The GenAuth SMS service does not currently support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86

¶ ResetPasswordByEmailPassCodeDto

NameType
Is it required
Description
Example Value
emailstringNoEmail address bound to this account, case insensitive.
passCodestringYesEmail verification code. An SMS verification code can only be used once and is valid for 5 minutes by default. You need to obtain it through the Send Email interface.

¶ ResetPasswordVerify

NameType
Is it required
Description
Example Value
passwordResetTokenstringYesToken for resetting passwords
tokenExpiresInnumberYesExpiration time in seconds.
Previous article: Change mobile phone number Next article: Forgot password
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.